import logging
logging.getLogger().setLevel(logging.DEBUG)

import random
import subprocess
import time

import uhexp.apps.netcat
inst = uhexp.apps.netcat.Installer(logging)
inst.install()

port = random.randint(300,9000)
app = uhexp.apps.netcat.Netcat(port, logh = logging)
app.start()

time.sleep(0.3)

p = subprocess.Popen("/bin/netstat -ln|grep %d" % (port), stdout = subprocess.PIPE,
                     stderr = subprocess.PIPE, shell = True)
(o,e) = p.communicate()
d = o.strip()
if d:
  logging.info("PASS")
  print d
if e.strip():
  logging.error("FAIL")

app.stop()
p = subprocess.Popen("/bin/netstat -ln|grep %d" % (port), stdout = subprocess.PIPE,
                     stderr = subprocess.PIPE, shell = True)
(o,e) = p.communicate()
if o.strip() or e.strip():
  logging.error("FAIL")
else:
  logging.info("PASS")

