# Copyright (c) 2017  University of Houston

from __future__ import absolute_import

import os

from .core.bases import ClientApplication

class NFBase(ClientApplication):
  def __init__ (self, host, path):
    super(NFBase, self).__init__("nfbase", host)
    self.path = path

  def _install (self, queue):
    cmdl = "cd %s; python setup.py install" % (self.path)
    self.host.run(cmdl, timeout = 300, pid = False)
    queue.put({"v" : 1, "success" : True, "pid" : os.getpid()})
    return


