# Copyright (c) 2017  University of Houston

from __future__ import absolute_import

import os

from .core.bases import ClientApplication


class UHGetConf(ClientApplication):
  def __init__ (self, host):
    super(UHGetConf, self).__init__("UHGetConf", host)

  def _run (self, queue, expdataPath = None):
    if expdataPath:
      cmdl = "uhgetconf %s" % (expdataPath)
    else: 
      cmdl = "uhgetconf"
    data = self.host.run(cmdl, timeout = 300, pid = False)
    queue.put({"v" : 1, "success" : True, "pid" : os.getpid()})
    return
