import logging
logging.getLogger().setLevel(logging.DEBUG)

import time
import subprocess
import psutil

import uhexp.apps.iperf
inst = uhexp.apps.iperf.Installer(logging)
inst.install()

app = uhexp.apps.iperf.iPerfC("127.0.0.1", 10, 6, logging)

app.start(True)
time.sleep(3)
try:
  app.stop()
  logging.info("PASS")
except:
  logging.exception("FAIL")

app.start()
time.sleep(9)

# We have to do something to get the kernel to reap the process list, apparently
subprocess.call("sleep 0", shell = True)

try:
  app.stop()
  logging.error("FAIL")
except psutil.NoSuchProcess:
  logging.info("PASS")
