#Copyright (c) 2016-2017  University of Houston

from __future__ import absolute_import

import signal

from . import LocalApplication, ApplicationManager, InstallableApplication


class GenericApp(LocalApplication):
  #BINPATH = "python ipktgen/ipktgen/v0003/genpackets.py"


  def __init__ (self, args_g, appbinpath = "", logh = None,):
    app_name = appbinpath.split('/')[-1]
    super(GenericApp, self).__init__("genericapp_" + app_name, logh)
    self._binpath_ubuntu = appbinpath
    self._binpath_alpine = "nohup " + appbinpath
    self._binpath_raspbian = appbinpath
    
    self.args_g = args_g
    self._pid = -1

  def start (self):
    cmdl = [self.binpath,self.args_g]
    self.pid = self.call(" ".join(cmdl), block = False)
    ApplicationManager.writePID(self)
    return self.pid

  def stop (self):
    self.kill(signal.SIGTERM)

class Installer(InstallableApplication):
  def __init__ (self, logh):
    super(Installer, self).__init__("genericapp_" + appbinpath, logh)

  def install_ubuntu (self):
    #self.call("%s curl" % (self.APT))
    pass

  def install_alpine (self):
    #self.call("%s curl" % (self.APK))
    pass
