# Copyright (c) 2017  University of Houston

from __future__ import absolute_import

from . import LocalApplication, InstallableApplication

class OpenVPNServer(LocalApplication):
  pass

class OpenVPNClient(LocalApplication):
  pass

class Installer(InstallableApplication):
  def __init__ (self, logh):
    super(Installer, self).__init__("openvpn", logh)

  def install_alpine (self):
    self.call("apk add openvpn")
