# Copyright (c) 2016-2017  University of Houston

from __future__ import absolute_import

from . import LocalService, InstallableApplication

from ..util import call

class TFTPD(LocalService):
  def __init__ (self, logh = None):
    super(TFTPD, self).__init__("tftpd", logh)

  def start_upstart (self):
    cmd = "sudo service tftpd-hpa start"
    self.call(cmd)

  def stop_upstart (self):
    cmd = "sudo service tftpd-hpa stop"
    self.call(cmd)


class Installer(InstallableApplication):
  def __init__ (self, logh):
    super(Installer, self).__init__("tftpd", logh)

  def install_ubuntu (self):
    call("%s tftpd-hpa" % (self.APT), self.logh)
    TFTPD().stop()
