# Copyright (c) 2016-2017  University of Houston

from __future__ import absolute_import

from ..apps import InstallableApplication
from ..util import call

class Installer(InstallableApplication):
  def __init__ (self, logh):
    super(Installer, self).__init__("dropbox", logh)

  def install_ubuntu (self):
    call("sudo pip install -v dropbox", self.logh)

  def conf_ubuntu (self, tokenPath = None):
    f = open(tokenPath, "r")
    token = f.read().rstrip('\n')
    f.close()
    return token
